.thead-colored {
  background-color: $secondary-purple;
}

.table-hover-purple:hover {
  tr:hover {
    background-color: $secondary-purple !important;
  }
}

table {
  overflow: hidden;
}

.table-dark {
  // Unset default dark background from bootstrap to avoid conflicts with the vertical purple hover
  background-color: unset;
}

td, th {
  padding: 10px !important;
  position: relative !important;
  border-color: $primary-purple !important;
  outline: 0 !important;
}

body:not(.nohover) tbody tr:hover {
  background-color: $secondary-purple !important;
}

/* Table vertical line highlight */
td:hover::after,
thead th:not(:empty):hover::after,
td:focus::after,
thead th:not(:empty):focus::after {
  content: '' !important;
  height: 10000px !important;
  left: 0 !important;
  position: absolute !important;
  top: -5000px !important;
  width: 100% !important;
  z-index: -1 !important;
}

td:hover::after,
th:hover::after {
  background-color: $secondary-purple !important;
}

td:focus::after,
th:focus::after {
  background-color: $secondary-purple !important;
}

/* Focus stuff for mobile */
td:focus::before,
tbody th:focus::before {
  background-color: $secondary-purple !important;
  content: '' !important;
  height: 100% !important;
  top: 0 !important;
  left: -5000px !important;
  position: absolute !important;
  width: 10000px !important;
  z-index: -1 !important;
}


.actions-cell {
  i {
    font-size: 1rem;
    @media (max-width: 991.98px) {
      font-size: .8rem;
    }
  }

  a + a {
    padding-left: 5px;
    padding-right: 5px;
  }
}

.actions-cells-admin {
  margin: 0 auto;
  font-size: 1rem;

  a + a, a + i {
    padding-left: 4px;
    padding-right: 4px;
  }

  .bi-eye-fill {
    color: $primary_white;
    padding-right: 1px;
  }
}

.table-scroll {
  margin-bottom: 15px;
}
